#include <jni.h>
#include "i802.h"

#include <syslog.h>



JNIEXPORT
void
Java_com_instant802_cldc_util_LocalSyslog_openlog(JNIEnv *env, jclass thisClz, jstring jident) 
{
    char *ident;

    ident = (*env)->GetStringUTFChars(env, jident, NULL);
    openlog(ident, LOG_CONS, LOG_USER);
    (*env)->ReleaseStringUTFChars(env, jident, ident);
}

JNIEXPORT
void
Java_com_instant802_cldc_util_LocalSyslog_syslog(JNIEnv *env,  jclass thisClz, jint priority, jstring jmsg) 
{
    char *msg;
    msg = (*env)->GetStringUTFChars(env, jmsg, NULL);
    syslog(priority, "%s", msg);
    (*env)->ReleaseStringUTFChars(env, jmsg, msg);
 
}

JNIEXPORT
void
Java_com_instant802_cldc_util_LocalSyslog_closelog(JNIEnv *env,  jobject thisClz) 
{
	closelog();	
}