//
// de.gyronet.kangaroo.io.FileDescriptor.java
// kangaroo
//
// Created by Marc Kleine-Budde on 03.28.2003.
// Copyright (c) 2003 GYRO net GmbH. All rights reserved.
//

package de.gyronet.kangaroo.io;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * @version $Id: FileDescriptor.java,v 1.1.1.1 2003/10/31 00:47:08 carter Exp $
 * @author Marc Kleine-Budde
 *
 */
public class FileDescriptor extends AbstractFileDescriptor {

    protected FileDescriptor() {
    }
    
    protected FileDescriptor(int fd) {
	this.fd = fd;
    }

    protected native void open0(String name, int mode) throws IOException;
    protected native void close0() throws IOException;


    public synchronized native int read() throws IOException;

    protected synchronized native int readBytes(byte[] buf, int off, int len) throws IOException;


    public synchronized native void write(int b) throws IOException;

    protected synchronized native void writeBytes(byte[] buf, int off, int len) throws IOException;


    protected native int available0() throws IOException;
}
