//#define DEBUGGING 1

#ifdef DEBUGGING

#define DEBUG_LEVEL 0
#define DEBUG( string ) _cgi_level_debugf( 0, "%s\n", string )
#define DEBUGF( format, ... ) _cgi_level_debugf( 0, format, __VA_ARGS__ )
#define CGI_DEBUGF( format, ... ) _cgi_level_debugf( 0, format, __VA_ARGS__ )
#define LEVEL_DEBUGF( level, format, ...) _cgi_level_debugf( level, format, __VA_ARGS__ )
#define DUMP_HDF( level, hdf, msg ) debug_hdf_dump( level, hdf, msg )

void _cgi_level_debugf( int level, char* format, ...);
void debug_hdf_dump( int level, void* hdf, char* msg );

#endif


#ifndef DEBUGGING
#define DEBUG( string )
#define DEBUGF( format, ... )
#define CGI_DEBUGF( format, ... )
#define LEVEL_DEBUGF( level, format, ...)
#define DUMP_HDF( level, hdf, msg )

#endif
