#ifndef __LCL_SUPPDATARATESTX_H__
#define __LCL_SUPPDATARATESTX_H__

#include <stdarg.h>
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
#include <libxml/tree.h>
#include "xmlutils.h"
#include "supp_datarates_tx.h"


#define SUPPTX_TAG      "supported-rate"
#define COLUMN_TAG      "rate"

#define SUPPDATARATESTXMINLOADFREQ	50
#define MAX_TAGS 			8

struct SuppDataRatesTx_info{
	char Tx_value[6];
};

suppDataRatesTx_info suppTxInfo[1];

void lcl_suppTx_xml(xmlDocPtr doc, xmlNodePtr cur);
void lcl_suppTx_countXMLTags(xmlDocPtr doc, xmlNodePtr cur);
void lcl_suppTx_XMLTagsByName(xmlDocPtr doc, xmlNodePtr cur);
#endif  /* __LCL_SUPPDATARATESTX_H___*/
