#ifndef __LCL_WEPKEY_H__
#define __LCL_WEPKEY_H__

#include <stdarg.h>
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
#include <libxml/tree.h>
#include "xmlutils.h"
#include "wep_key.h"

#define TRUE 	1
#define FALSE	0

/* columns present in station config tables */
#define WEP_KEY_0               "wep-key-1"
#define WEP_KEY_1               "wep-key-2"
#define WEP_KEY_2               "wep-key-3"
#define WEP_KEY_3               "wep-key-4"

struct wep_key_data_info {
	char *if_index;
	int if_index_len;
	char *key_index;
	int key_index_len;
	unsigned char *value;
	int value_len;
};

static void lcl_wepkey_xml(xmlDocPtr, xmlNodePtr);
static int CheckAndRetrieveDefaultWEPKeysValue(xmlDocPtr);
static void GetWEPDefaultKeyValue(int, int, char *);
int setXMLDefaultKeys(struct wep_key_data_info *org);
#endif  /* __LCL_WEPKEY_H__ */
