<!-- Copyright 2004 Devicescape Software, Inc. All Rights Reserved. -->
<?ct def:print_local_modification_message() ?>
    <?ct if:CONFIG_OAP_ORCHESTRATOR ?>
	<script language="javascript" type="text/javascript">
	  var localMod = <?i802 sub(locallyModified) ?>; <!-- server side generated numeric value -->
	  var clusterSize = parseInt("<?i802 sub(clusterSize) ?>"); <!-- string constant is dynamically genereted by the server -->
	  if(localMod == 1 && clusterSize > 1) { 
	    <!-- disabled for now
	    document.write('<div class="page-warning">Modifications have been made to this access point that have not been shared with the rest of the cluster.  To propagate these changes, go to the <a href=\'access_points.cgi\'>Access Points</a> page.</div>');
		-->
	  }
	</script>
    <?ct /if ?>
<?ct /def ?>

<?ct if:CONFIG_OAP_ORCHESTRATOR ?>
    <?ct def:print_page_progress3() ?>
    <!-- update progress ... -->
    <table border="0" id="updateProgressId" style="visibility:hidden;"><tr><td>Please wait, update in progress:</td>
	    <td>
	    <script language="javascript" type="text/javascript">
	    // Create progress bar
	    var pageUpdate;
	    pageUpdate = new UpdateProgress();
		    pageUpdate.render();
	    </script>
    </td></tr>
    </table> <!-- ... updateProgressId -->
    <input id='submitParam' type='hidden'>
    <!-- ... update progress -->
    <?ct /def ?>
<?ct /if ?>

<?ct def:print_submit_button(filename, button_text, colspan) ?>
    <?ct if:CONFIG_OAP_ORCHESTRATOR ?>
    	<input type="hidden" name="page" value="<?ct var:filename ?>">
    	<?ct if:button_text==#0 ?>
        	<?ct set:button_text = "Update" ?>
    	<?ct /if ?>
    	<?ct if:colspan==#0 ?>
        	<?ct set:colspan= #3 ?>
    	<?ct /if ?>
    	<tr>
        	<td class="submitbutton" align="right" colspan="<?ct var:colspan ?>">
		    	<!-- update button for this page -->
            	<input type="submit" name="Update" value="<?ct var:button_text ?>" onClick="return pageUpdate.handleSubmit('Update', '<?ct var:button_text ?>');">
				<?ct call:print_page_progress3() ?>
        	</td>
    	</tr>
    <?ct else ?>
        <input type="hidden" name="page" value="<?ct var:filename ?>">
        <?ct if:button_text==#0 ?>
            <?ct set:button_name = "Update" ?>
            <?ct set:button_text = "Update" ?>
        <?ct /if ?>
        <?ct if:colspan==#0 ?>
            <?ct set:colspan= #3 ?>
        <?ct /if ?>
        <!-- submit button for this page -->
        <tr>
            <td class="submitbutton" colspan="<?ct var:colspan ?>">
                <input type=submit name="<?ct var:button_name ?>" value="<?ct var:button_text ?>">
            </td>
        </tr>
    <?ct /if ?>
<?ct /def ?>

<?ct if:0 ?>
/**
 * Prints name and value elements for use in a text input element.
 * @param element_prefix the prefix for the element name.
 *                       This ensures a unique element name where the same
 *                       base @name is used multiple times, for example,
 *                       for different instances or on different layers.
 *                       (If both apply, the instance prefix first.)
 * @param macro_prefix   the prefix for the i802 macro name.
 *                       This creates a reference to a specific i802
 *                       macro by prefixing @name.
 * @param name           the unprefixed element and i802 macro name.
 * @param value          the i802 macro value for the checkbox to be checked.
 */
<?ct /if ?>
<?ct def:print_prefixed_text_name_or_macro(element_prefix, macro_prefix, name) ?>
    name="<?ct var:element_prefix ?><?ct var:name ?>"
    value="<?i802 sub(<?ct var:macro_prefix ?><?ct var:name ?>) ?>"
<?ct /def ?>

<?ct def:print_prefixed_text_name_value(prefix, name) ?>
    name="<?ct var:prefix ?><?ct var:name ?>"
    value="<?i802 sub(<?ct var:name ?>) ?>"
<?ct /def ?>

<?ct def:print_channel_lists() ?>
    var ieee80211aChannels = new Array(<?i802 sub(ieee80211aChannels) ?>);
    var ieee80211bChannels = new Array(<?i802 sub(ieee80211bChannels) ?>);
    var ieee80211gChannels = new Array(<?i802 sub(ieee80211gChannels) ?>);
    var AtherosTurboChannels = new Array(<?i802 sub(AtherosTurboChannels) ?>);
    var AtherosDynTurboChannels = new Array(<?i802 sub(AtherosDynTurboChannels) ?>);
    var AtherosTurboGChannels = new Array(<?i802 sub(AtherosTurboGChannels) ?>);
    var AtherosDynTurboGChannels = new Array(<?i802 sub(AtherosDynTurboGChannels) ?>);
<?ct /def ?>

<?ct def:print_prefixed_text_name_and_value(prefix, name) ?>
    name="<?ct var:prefix ?><?ct var:name ?>"
    value="<?i802 sub(<?ct var:prefix ?><?ct var:name ?>) ?>"
<?ct /def ?>

<?ct def:print_prefixed_text_name_and_maybe_value(prefix, name, prefix_value) ?>
    <?ct if:prefix_i802 == #1 ?>
        <?ct call:print_prefixed_text_name_and_value(prefix, name) ?>
    <?ct else ?>
        <?ct call:print_prefixed_text_name_value(prefix, name) ?>
    <?ct /if ?>
<?ct /def ?>

<?ct if:0 ?>
/**
 * Prints a checkbox.
 * @param element_prefix the prefix for the element name.
 * @param macro_prefix   the prefix for the i802macro name.
 * @param name           the unprefixed element and i802 macro name.
 * @param value          the i802 macro value for the checkbox to be checked.
 */
<?ct /if ?>
<?ct def:print_prefixed_box_name_or_macro_checked(element_prefix, macro_prefix, name, value) ?>
    name="<?ct var:element_prefix ?><?ct var:name ?>"
    <?i802 checked(<?ct var:macro_prefix ?><?ct var:name ?>, <?ct var:value ?>) ?>
<?ct /def ?>

<?ct if:0 ?>
/**
 * Prints a checkbox.
 * @param prefix the prefix for the element name.
 * @param name   the element and i802 macro name.
 * @param value  the i802 macro value for the checkbox to be checked.
 */
<?ct /if ?>
<?ct def:print_prefixed_box_name_checked(prefix, name, value) ?>
    name="<?ct var:prefix ?><?ct var:name ?>"
    <?i802 checked(<?ct var:name ?>, <?ct var:value ?>) ?>
<?ct /def ?>

<?ct if:0 ?>
/**
 * Prints a checkbox, prefixing the macro as well.
 * @param prefix the prefix for the element name and i802 macro.
 * @param name   the element and i802 macro name.
 * @param value  the i802 macro value for the checkbox to be checked.
 */
<?ct /if ?>
<?ct def:print_prefixed_box_name_and_i802_checked(prefix, name, value) ?>
    name="<?ct var:prefix ?><?ct var:name ?>"
    <?i802 checked(<?ct var:prefix ?><?ct var:name ?>, <?ct var:value ?>) ?>
<?ct /def ?>

<?ct if:0 ?>
/**
 * Prints a checkbox, maybe prefixing the macro as well.
 * This can be used for rendering checkboxes that can appear in contexts
 * where they are duplicated on multiple layers (but represent the
 * same i802 macro), and in contexts where there are different i802 macros
 * for different invocations of it.
 * @param prefix      the prefix for the element name, and maybe i802 macro.
 * @param name        the element and i802 macro name.
 * @param value       the i802 macro value for the checkbox to be checked.
 * @param prefix_i802 #1 indicates the i802 macro name should be prefixed.
 */
<?ct /if ?>
<?ct def:print_prefixed_box_name_maybe_i802_checked(prefix, name, value, prefix_i802) ?>
    <?ct if:prefix_i802 == #1 ?>
        <?ct call:print_prefixed_box_name_and_i802_checked(prefix, name, value) ?>
    <?ct else ?>
        <?ct call:print_prefixed_box_name_checked(prefix, name, value) ?>
    <?ct /if ?>
<?ct /def ?>

<?ct def:print_text_name_value(name) ?>
    <?ct call:print_prefixed_text_name_value("", name) ?>
<?ct /def ?>

<?ct def:print_option_value_selecteded(name, value) ?>
    value="<?ct var:value ?>"
    <?i802 selected(<?ct var:name ?>, <?ct var:value ?>) ?>
<?ct /def ?>

<?ct def:print_box_name_checked(name, value) ?>
    <?ct call:print_prefixed_box_name_checked("", name, value) ?>
<?ct /def ?>

<?ct def:print_href(template) ?>index.cgi?page=<?ct var:template ?><?ct /def ?>
<?ct def:print_href2(name, query) ?><?ct var:name ?>.cgi<?ct if:query ?>?<?ct var: query ?><?ct /if ?><?ct /def ?>
<?ct def:print_reference(section, name) ?>
<?ct if:Site.section.page.CGI == "orchestrator" ?>
<?ct call:print_href2(Site.section.CGI, Site.section.Query) ?>
<?ct else ?>
<?ct call:print_href(Site.section.URI) ?>
<?ct /if ?>
<?ct /def ?>

<?ct def:print_auto_refresh(template) ?>
    <meta http-equiv="refresh"
        content="180;url=index.cgi?page=<?ct var:template ?>">
<?ct /def ?>

<?ct def:site_link(section, page) ?><a href="<?ct call:print_reference(section, name) ?>"><?ct var:name ?></a><?ct /def ?>

<?ct def:set_blurb_link(template) ?>
    <?ct set:BlurbLink = "index.cgi?page=" + template ?>
<?ct /def ?>

<?ct def:set_blurb_link2(template) ?>
    <?ct set:BlurbLink2 = "index.cgi?page=" + template ?>
<?ct /def ?>

<?ct def:print_brace(cols) ?>
    <?ct if:cols==#0 ?>
        <?ct set:cols = #3 ?>
    <?ct /if ?>
    <!-- grey line above and below to frame the values -->
    <tr>
        <td colspan="<?ct var:cols ?>">
            <hr size="5" noshade>
        </td>
    </tr>
<?ct /def ?>

<?ct def:print_hfiller(cols) ?>
    <!-- horizontal white space -->
    <?ct if:cols==#0 ?>
        <?ct set:cols = #3 ?>
    <?ct /if ?>
    <tr>
        <td colspan="<?ct var:cols ?>">
            &nbsp;
        </td>
    </tr>
<?ct /def ?>

<?ct def:print_vfiller() ?>
    <!-- vertical white space -->
    <td>
        &nbsp;
    </td>
<?ct /def ?>

<?ct def:print_footer() ?>
<!-- standard footer -->
<table class="footer" border="0" cellpadding="0" cellspacing="0">
  <tr>
	  <td class="footer_left">
		  <?ct var:CONFIG_OAP_UI_COPYRIGHT ?>
		</td>
    <td class="footer_right">
      <?ct if:CONFIG_OAP_UI_STYLE_SWITCHABLE ?>
      Style: <a id="Default" style="cursor: pointer;" onClick="return setActiveStyleSheet('Default');">Default</a>, <a id="Corporate" style="cursor: pointer;" onClick="return setActiveStyleSheet('Corporate');">Corporate</a>, <a id="Home" style="cursor: pointer;" onClick="return setActiveStyleSheet('Home');">Home</a>
      <?ct /if ?>
    </td>
		<td class="footer_right">
		    <?ct if:CONFIG_OAP_UI_I802_ATTRIBUTION ?>
			Powered By <a href="http://www.devicescape.com"><b>Devicescape Software</b></a>
		    <?ct else ?>
			&nbsp;
		    <?ct /if ?>
		</td>
  </tr>
</table>
<?ct /def ?>

<?ct def:print_mac_box_empty(prefix, number) ?>
    <input class="ipvalue" type="text" size="2" maxlength="2"
        name="<?ct var:prefix ?><?ct var:number ?>"
        onKeyPress="return keyPressHexOnly(event)"
        <?ct if:number != #5 ?>
        onKeyUp="onMacKeyUp(document.forms[0].elements['<?ct var:prefix ?><?ct var:number ?>'], event)"
        <?ct /if ?>
    >
<?ct /def ?>

<?ct def:print_mac_boxes_empty(prefix) ?>
    <?ct call:print_mac_box_empty(prefix, #0) ?>:
    <?ct call:print_mac_box_empty(prefix, #1) ?>:
    <?ct call:print_mac_box_empty(prefix, #2) ?>:
    <?ct call:print_mac_box_empty(prefix, #3) ?>:
    <?ct call:print_mac_box_empty(prefix, #4) ?>:
    <?ct call:print_mac_box_empty(prefix, #5) ?>
<?ct /def ?>

<?ct def:print_mac_box(macro, number) ?>
    <input class="ipvalue" type="text" size="2" maxlength="2"
        <?ct call:print_text_name_value(macro + number) ?>
        onBlur="validateMacOnLeave(document.forms[0].elements['<?ct var:macro ?><?ct var:number ?>'])"
    <?ct if:number == #5 ?>
        onKeyUp="validateMacOnChange(document.forms[0].elements['<?ct var:macro ?><?ct var:number ?>'], true)"
    <?ct else ?>
        onKeyUp="validateMacOnChange(document.forms[0].elements['<?ct var:macro ?><?ct var:number ?>'], false)"
    <?ct /if ?>
    >
<?ct /def ?>

<?ct def:print_mac_boxes(macro) ?>
    <?ct call:print_mac_box(macro, #0) ?>:
    <?ct call:print_mac_box(macro, #1) ?>:
    <?ct call:print_mac_box(macro, #2) ?>:
    <?ct call:print_mac_box(macro, #3) ?>:
    <?ct call:print_mac_box(macro, #4) ?>:
    <?ct call:print_mac_box(macro, #5) ?>
<?ct /def ?>

<?ct if:0 ?>
/**
 * Prints an input box for one octet of an IP address.
 * @param macro          the root macro associated with the IP address.
 * @param number         the octet number (0-3) to use as a suffix.
 * @param element_prefix the prefix for the element name.
 * @param macro_prefix   the prefix for the i802 macro.
 */
<?ct /if ?>
<?ct def:print_ip_box(macro, number, element_prefix, macro_prefix) ?>
    <input class=ipvalue type="text" size="3" maxlength="4"
        <?ct call:print_prefixed_text_name_or_macro(element_prefix, macro_prefix, macro + number) ?>
        onBlur="validateIpOnLeave(document.forms[0].elements['<?ct var:element_prefix ?><?ct var:macro ?><?ct var:number ?>'])"
    <?ct if:number == #3 ?>
        onKeyUp="validateIpOnChange(document.forms[0].elements['<?ct var:element_prefix ?><?ct var:macro ?><?ct var:number ?>'], true)"
    <?ct else ?>
        onKeyUp="validateIpOnChange(document.forms[0].elements['<?ct var:element_prefix ?><?ct var:macro ?><?ct var:number ?>'], false)"
    <?ct /if ?>
    >
<?ct /def ?>

<?ct def:print_ip_boxes(macro) ?>
    <?ct call:print_ip_box(macro, #0, "", "") ?>.
    <?ct call:print_ip_box(macro, #1, "", "") ?>.
    <?ct call:print_ip_box(macro, #2, "", "") ?>.
    <?ct call:print_ip_box(macro, #3, "", "") ?>
<?ct /def ?>

<?ct def:print_ip_boxes_with_prefix(element_prefix, macro_prefix, macro) ?>
    <?ct call:print_ip_box(macro, #0, element_prefix, macro_prefix) ?>.
    <?ct call:print_ip_box(macro, #1, element_prefix, macro_prefix) ?>.
    <?ct call:print_ip_box(macro, #2, element_prefix, macro_prefix) ?>.
    <?ct call:print_ip_box(macro, #3, element_prefix, macro_prefix) ?>
<?ct /def ?>

<?ct def:print_blurb_begin() ?>
    <table width="100%" border="0" cellpadding="0" cellspacing="0">
           <tr><td class="blurb">
<?ct /def ?>

<?ct def:print_blurb_end() ?>
    </td></tr></table>
<?ct /def ?>

<?ct def:print_blurb_text(text) ?>
    <?ct call:print_blurb_begin() ?>
	<?ct var:text ?>
    <?ct call:print_blurb_end() ?>
<?ct /def ?>

<?ct def:print_blurb(section, page) ?>
    <!-- this section include some informtive text regarding this page  -->
    <?ct call:print_blurb_begin() ?>
        <?ct each:item = Site.Section ?>
            <?ct if:item.Name == section ?>
              <?ct if:item.Name == page ?>
                <?ct lvar:item.Blurb ?>
              <?ct else ?>
                <?ct each:subitem = item.Page ?>
                    <?ct if:subitem.Name == page ?>
                        <?ct lvar:subitem.Blurb ?>
                    <?ct /if ?>
                <?ct /each ?>
              <?ct /if ?>
            <?ct /if ?>
        <?ct /each ?>
    <?ct call:print_blurb_end() ?>
<?ct /def ?>

<?ct def:set_blurb(section, page, new_blurb) ?>
    <?ct call:print_blurb_begin() ?>
        <?ct each:item = Site.Section ?>
            <?ct if:item.Name == section ?>
                <?ct each:subitem = item.Page ?>
                    <?ct if:subitem.Name == page ?>
                        <?ct set:subitem.Blurb = new_blurb ?>
                    <?ct /if ?>
                <?ct /each ?>
            <?ct /if ?>
        <?ct /each ?>
    <?ct call:print_blurb_end() ?>
<?ct /def ?>

<?ct def:print_page_warning() ?>
<!-- disabled for now
<?cs if:page.warning ?><div class="page-warning"><?cs var:page.warning ?></div><?cs /if ?>
-->
<?ct /def ?>

<?ct def:print_top_links_rt(section, page, rt) ?>
	<a class="toplink" href="<?ct call:print_href2(Site.HomeURI, #0) ?>">
		Home
	</a>
	|
	<?ct if:rt == #1 ?>
		<a class="toplink" href=#null onClick="window.open(' help/<?cs var:current_action ?>.help.html', '_blank', 'dependent=yes,resizable=yes,toolbar=no,status=no,menubar=no,height=675,width=675,scrollbars=yes'); return false">Help</a>
	<?ct else ?>
		<?ct each:item = Site.Section ?>
			<?ct if:item.Name == section ?>
				<?ct if:item.Name == page ?>
					 <a class="toplink" href=#null onClick="window.open('<?ct var:item.HelpURI ?>', '_blank', 'dependent=yes,resizable=yes,toolbar=no,status=no,menubar=no,height=675,width=675,scrollbars=yes'); return false">Help</a>
					 <?ct set:helpLink = #1 ?>
				<?ct else ?>
				  <?ct each:subitem = item.Page ?>
					<?ct if:subitem.Name == page ?>
						<a class="toplink" href=#null onClick="window.open('<?ct var:subitem.HelpURI ?>', '_blank', 'dependent=yes,resizable=yes,toolbar=no,status=no,menubar=no,height=675,width=675,scrollbars=yes'); return false">Help</a>
						<?ct set:helpLink = #1 ?>
					<?ct /if ?>
				  <?ct /each ?>
				<?ct /if ?>
			<?ct /if ?>
		<?ct /each ?>
		<?ct if:helpLink != #1 ?>
			<a class="toplink" href=#null onClick="window.open(' help/index.html', '_blank', 'dependent=yes,resizable=yes,toolbar=no,status=no,menubar=no,height=675,width=675,scrollbars=yes'); return false">Help</a>
		<?ct /if ?>
	<?ct /if ?>
	<?ct if:CONFIG_OAP_UI_SUPPORT_LINK ?>|
	  <a class="toplink" href="<?ct var:CONFIG_OAP_UI_SUPPORT_URI ?>">
		Support
	  </a>
	<?ct /if ?>
	&nbsp;
<?ct /def ?>

<?ct def:print_top_links(section, page) ?>
	<?ct call:print_top_links_rt(section, page, #0) ?>
<?ct /def ?>

<?ct def:print_top_type(section, page) ?>
    <?ct if:CONFIG_OAP_UI_USE_PRODUCT_NAME_IMAGE ?>
	<img src="product.gif">
    <?ct else ?>
	<?ct var:CONFIG_OAP_UI_PRODUCT_NAME_HTML ?>
    <?ct /if ?>
<?ct /def ?>

<?ct def:set_page_count(section) ?>
    <?ct set:Site.Section.PageCount = #0 ?>
    <?ct each:item = Site.Section ?>
        <?ct if:item.Name == section ?>
            <?ct each:subitem = item.Page ?>
                <?ct set:Site.Section.PageCount = Site.Section.PageCount + #1 ?>
                <?ct set:Site.Section.LastPageURI = subitem.URI ?>
            <?ct /each ?>
        <?ct /if ?>       
    <?ct /each ?>
<?ct /def ?>

<?ct def:print_navigator_rt(section, page, rt) ?>
	<!-- nav generation ... -->
    <table id="tabsId" class="tabs" width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
        <tr> 
          <td class="top-separator" colspan="2">&nbsp;</td>
        </tr>
			<?ct set:last_selected = #0 ?>
            <?ct each:item = Site.Section ?>
					<?ct if:item.Label ?><?ct set:item.LabelText = item.Label ?><?ct else ?><?ct set:item.LabelText = item.Name ?><?ct /if ?>
                    <!-- top level tab -->
					<tr>
                    <?ct if:item.Name == page ?>
					    <!-- selected top level tab. -->
						<?ct if:item.Collapsable ?>
 	                       <td class=<?ct if:rt ?><?cs if:current_action == "<?ct var:subitem.id?>" ?>"tab1-selected"<?cs else ?>"tab1"<?cs /if ?><?ct else ?>"tab1-selected"<?ct /if ?> colspan="2" align="left" valign="middle" onClick="collapse('<?ct var:item.Name ?>');"><nobr><?ct var:item.LabelText ?></nobr></td>
						<?ct else ?>
    	                    <td class=<?ct if:rt ?><?cs if:current_action == "<?ct var:subitem.id?>" ?>"tab1-selected"<?cs else ?>"tab1"<?cs /if ?><?ct else ?>"tab1-selected"<?ct /if ?> colspan="2" align="left" valign="middle" onClick=<?ct if:item.CGI == "orchestrator" ?>"document.location='<?ct call:print_href2(item.URI, item.Query) ?>'"><?ct else ?>"document.location='<?ct call:print_href(item.URI) ?>'"><?ct /if ?><nobr><?ct var:item.LabelText ?></nobr></td>
						<?ct /if ?>
						</tr>
					    <tr><td class="tabselected-separator" colspan="2">&nbsp;</td></tr>
                    <?ct else ?>
					    <!-- unselected top level tab. -->
						<?ct if:item.Collapsable ?>
                        <td class=<?ct if:rt ?><?cs if:current_action == "<?ct var:subitem.id?>" ?>"tab1-selected"<?cs else ?>"tab1"<?cs /if ?><?ct else ?>"tab1"<?ct /if ?> colspan="2" align="left" valign="middle" onClick="collapse('<?ct var:item.Name ?>');"><nobr><?ct var:item.LabelText ?></nobr></td>
						<?ct else ?>
                        <td class=<?ct if:rt ?><?cs if:current_action == "<?ct var:subitem.id?>" ?>"tab1-selected"<?cs else ?>"tab1"<?cs /if ?><?ct else ?>"tab1"<?ct /if ?> colspan="2" align="left" valign="middle" onClick=<?ct if:item.CGI == "orchestrator" ?>"document.location='<?ct call:print_href2(item.URI, item.Query) ?>'"><?ct else ?>"document.location='<?ct call:print_href(item.URI) ?>'"><?ct /if ?><nobr><?ct var:item.LabelText ?></nobr></td>
						<?ct /if ?>
						</tr>
                    <?ct /if ?>
					<?ct if:item.Collapsable ?>
					  <tr> 
						<td class="collapsable tab-separator" colspan="2"><img id="<?ct var:item.Name ?>_collapseImage" src="collapse.gif" alt="Collapse/Expand" onClick="collapse('<?ct var:item.Name ?>');"></td>
					  </tr>
					  <tr>
					    <!-- tab separator -->
					    <td class="tab-separator" colspan="2">&nbsp;</td>
					  </tr>
					<?ct else ?>
					  <tr>
					    <!-- tab separator -->
					    <td class="tab-separator" colspan="2">&nbsp;</td>
					  </tr>
					<?ct /if ?>
                    <?ct each:subitem = item.Page ?>
						<?ct if:subitem.Label ?><?ct set:subitem.LabelText = subitem.Label ?><?ct else ?><?ct set:subitem.LabelText = subitem.Name ?><?ct /if ?>
                        <?ct if:subitem.Name == "Echod" ?>
                        <!-- -->
                        <!-- START EXAMPLE PATCH -->
                        <?ct /if ?>
							<?ct if:item.Collapsable ?>
							  <tr class="collapsable collapsable-item" id='<?ct var:item.Name + "_collapsable" ?>' name='<?ct var:item.Name + "_collapsable" ?>'>
							<?ct else ?>
							  <tr>
                            <?ct /if ?>
                            <?ct if:subitem.Name == page ?>
								<?ct set:Site.SelectedPage = subitem ?>
							    <!-- selected second level tab. -->
								<td class="tab-indent">&nbsp;</td>
                                <td class=<?ct if:rt ?><?cs if:current_action == "<?ct var:subitem.id?>" ?>"tab2-selected"<?cs else ?>"tab2"<?cs /if ?><?ct else ?>"tab2-selected"<?ct /if ?> nowrap align="left" valign="middle" onClick=<?ct if:item.CGI == "orchestrator" ?>"document.location='<?ct call:print_href2(subitem.URI, subitem.Query) ?>'"><?ct else ?>"document.location='<?ct call:print_href(subitem.URI) ?>'"><?ct /if ?><nobr><?ct var:subitem.LabelText ?></nobr></td>
								<?ct set:last_selected = #1 ?>
                            <?ct else ?>
							    <!-- unselected second level tab. -->
								<td class="tab-indent">&nbsp;</td>
                                <td class=<?ct if:rt ?><?cs if:current_action == "<?ct var:subitem.id?>" ?>"tab2-selected"<?cs else ?>"tab2"<?cs /if ?><?ct else ?>"tab2"<?ct /if ?> nowrap align="left" valign="middle" onClick=<?ct if:item.CGI == "orchestrator" ?>"document.location='<?ct call:print_href2(subitem.URI, subitem.Query) ?>'"><?ct else ?>"document.location='<?ct call:print_href(subitem.URI) ?>'"><?ct /if ?><nobr><?ct var:subitem.LabelText ?></nobr></td>
                            <?ct /if ?>
							</tr>
                            <?ct if:subitem.Name == "Echod" ?>
                            <!-- -->
                            <!-- END EXAMPLE PATCH -->
                            <?ct /if ?>
							<?ct if:item.Collapsable ?>
							  <tr class="collapsable collapsable-item" id='<?ct var:item.Name + "_collapsable" ?>' name='<?ct var:item.Name + "_collapsable" ?>'>
							<?ct else ?>
							  <tr>
                            <?ct /if ?>
							  <!-- tab separator -->
							  <?ct if:last_selected == #1 ?>
							    <td class="tab-indent">&nbsp;</td><td class="tabselected-separator">&nbsp;</td>
								<?ct set:last_selected = #0 ?>
							  <?ct else ?>
							    <td class="tab-separator" colspan="2">&nbsp;</td>
							  <?ct /if ?>
							</tr>
                    <?ct /each ?>
					  <tr>
					  <!-- tab group separator -->
					  <td class="tabgroup-separator" colspan="2">&nbsp;</td>
					</tr>
            <?ct /each ?>
        <tr> 
          <td class="bottom-separator" height="100%" colspan="2" rowspan="100">&nbsp;</td>
        </tr>
	</table>
 <!-- ... nav generation -->
<?ct /def ?>

<?ct def:print_topbox_rt(section, page, rt) ?>
<table class="top-box" border="0" cellpadding="0" cellspacing="0">
  <tr> 
    <td class="header-links" valign="top"><?ct call:print_top_links_rt(section, page, rt) ?>
    </td>
  </tr>
  <tr> 
    <td class="product-title" valign="top"><?ct call:print_top_type(section, page) ?>
    </td>
  </tr>
</table>
<?ct /def ?>

<?ct def:print_topbox(section, page) ?>
	<?ct call:print_topbox_rt(section, page, #0) ?>
<?ct /def ?>

<?ct def:print_navigator(section, page) ?>
	<?ct call:print_navigator_rt(section, page, #0) ?>				
<?ct /def ?>

<!-- should be matched with cooresponding call to print_content_end -->
<?ct def:print_content_begin_rt(section, page, rt) ?>
<table id="content-container" align="center" border="0" cellpadding="0" cellspacing="0"><tr><td>
<!-- content ... -->
<?ct call:print_topbox_rt(section, page, rt) ?>
<table id="content" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr> 
  	<td align="left" colspan="2">
		<!-- content box ... -->
    <table class="content_box" width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
	  <!-- navigator ... -->
    <td class="navigator">
    <?ct call:print_navigator_rt(section, page, rt) ?>
    </td>
	  <!-- ... navigator -->
		
		<!-- nav-content-container ... -->
    <td class="nav-content-container" width="100%"> 
		<!-- nav-content ... -->
		<table class="nav-content" width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
		  <tr>
			<td class="nav-client-content" align="left" valign="top" width="80%" height="100%">
<?ct /def ?>
<?ct def:print_content_begin(section, page) ?>
	<?ct call:print_content_begin_rt(section, page, #0) ?>
<?ct /def ?>
<?ct def:print_helpblurb(page) ?>
  <?ct set:matched = #0 ?>
  <?ct each:item = Site.Section ?>
    <?ct if:item.Name == page ?>
      <td class="help-blurb" align="left" valign="top" width="20%"><img src="page_help.gif">
        <?ct lvar:item.HelpBlurb ?>
		<?ct set:matched = #1 ?>
      </td>
    <?ct else ?>
      <?ct each:subitem = item.Page ?>
  	  <?ct if:subitem.Name == page && subitem.HelpBlurb ?>
          <td class="help-blurb" align="left" valign="top" width="20%"><img src="page_help.gif">
            <?ct lvar:subitem.HelpBlurb ?>
			<?ct set:matched = #1 ?>
          </td>
        <?ct /if ?>
      <?ct /each ?>
    <?ct /if ?>
  <?ct /each ?>
  <?ct if:matched == #0 ?>
    <td class="help-blurb" align="left" valign="top" width="20%"><img src="page_help.gif">
	  	<?cs var:localize(current_action.help_id) ?>
	</td>
  <?ct /if ?>
<?ct /def ?>
<!-- match with call to print_content_begin -->

<?ct def:print_content_end(page) ?>
				</td>
				<?ct call:print_helpblurb(page) ?>
			  </tr>
			</table>
			<!-- ... nav-content -->
		  </td>
  		<!-- ... nav-content-container -->
		</tr>
	  </table>
		<!-- ... content box -->
	</td>
  </tr>
		<tr>
		<td colspan="2" valign="top">
		<?ct call:print_footer() ?>
		</td>
		</tr>
</table>
</td></tr></table><!-- ... content-container -->
<!-- ... content -->
<?ct /def ?>

<?ct def:print_system_gateway() ?>
    <!-- default gateway fields ... -->
        <tr>
            <td class="namelevelone">
                Default Gateway
            </td>
            <?ct call:print_vfiller() ?>
            <td class="value">
                <?ct call:print_ip_boxes("gateway") ?>
            </td>
        </tr>
	<!-- ... default gateway fields
<?ct /def ?>

<?ct def:print_system_dns() ?>
    <!-- dns fields ... -->
        <tr>
            <td class="namelevelone">
                DNS Nameservers
            </td>
            <?ct call:print_vfiller() ?>
            <td class="value">
                Dynamic <input type="radio" value=on onClick="toggleDns(this)"
                     <?ct call:print_box_name_checked("dynamicDns", "on") ?> >
                Manual <input type="radio" value=off onClick="toggleDns(this)"
                     <?ct call:print_box_name_checked("dynamicDns", "off") ?> >
            </td>
        </tr>
        <tr>
            <td class="namelevelone">
                &nbsp;
            </td>
            <?ct call:print_vfiller() ?>
            <td class="value">
                <?ct call:print_ip_boxes("dnsOne") ?>
            </td>
        </tr>
        <tr>
            <td class="namelevelone">
                &nbsp;
            </td>
            <?ct call:print_vfiller() ?>
            <td class="value">
               <?ct call:print_ip_boxes("dnsTwo") ?>
            </td>
        </tr>
    <!-- ... dns fields -->
<?ct /def ?>

<?ct def:print_no_cache() ?>
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="pragma" content="no-cache">
    <meta http-equiv="expires" content="-1">
<?ct /def ?>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

<?ct def:print_common_head(section, page) ?>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <?ct each:item = Site.Section ?>
        <?ct if:item.Name == section ?>
          <?ct if:item.Name == page ?>
            <title><?ct var:item.Name ?></title>
          <?ct else ?>
            <?ct each:subitem = item.Page ?>
                <?ct if:subitem.Name == page ?>
                    <title><?ct var:subitem.Name ?></title>
                <?ct /if ?>
            <?ct /each ?>
          <?ct /if ?>
        <?ct /if ?>
    <?ct /each ?>
    <?ct call:print_no_cache() ?>
	<link type="text/css" rel="stylesheet" href="product.css" media="screen,projection" >
	<link type="text/css" rel="stylesheet" title="Default" href="product.css" media="screen,projection" >
      <?ct if:CONFIG_OAP_UI_STYLE_SWITCHABLE ?>
	<link type="text/css" rel="alternate stylesheet" title="Corporate" href="corporate.css" media="screen,projection">
	<link type="text/css" rel="alternate stylesheet" title="Home" href="home.css" media="screen,projection">
      <?ct /if ?>
	  
	<script language="javascript" type="text/javascript" src="stringutil.js"></script>
	<script language="javascript" type="text/javascript" src="i8dom.js"></script>
	<script language="javascript" type="text/javascript" src="i802.js"></script>
	<script language="javascript" type="text/javascript" src="switcher.js"></script>
	<script language="javascript" type="text/javascript" src="widgets.js"></script>
    <?ct if:CONFIG_OAP_UI_STYLE_SWITCHABLE ?>
		<script language="javascript" type="text/javascript" src="styleswitcher.js"></script>
    <?ct /if ?>
	<script language="javascript" type="text/javascript" src="navigator.js"></script>
    <?ct if:CONFIG_OAP_ORCHESTRATOR ?>
		<script language="javascript" type="text/javascript" src="control.js"></script>
		<script language="javascript" type="text/javascript" src="imagelist.js"></script>
		<script language="javascript" type="text/javascript" src="progress.js"></script>
		<script language="javascript" type="text/javascript" src="polling.js"></script>
		<script language="javascript" type="text/javascript">
			// Create imagelist for progress bar
			SEGS = new QImageList(8, 17, "pro0.gif", "pro1.gif");
		</script>
	    <style type="text/css"> TABLE.qprogress { margin: 4px; border: 2px solid #999999; background-color: #FFFFFF} TABLE.qprogress TD { margin: 0px; padding: 0px } </style>
    <?ct /if ?>
<link rel="icon" href="favicon.ico" type="image/x-icon">
<link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
<?ct /def ?>

<?ct def:print_standard_onload() ?>onLoadHandler()<?ct /def ?>

<?ct def:print_post_body() ?>
<?ct /def ?>

<?ct def:print_ssid(layer_prefix, ssid_prefix) ?>
    <!-- ssid for <?ct var:prefix ?> <?ct var:ssid_prefix ?> -->
    <tr>
        <td class="namelevelone">
            Wireless Network Name (SSID)
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <input class="value" type="text" size="28" maxlength="32" <?ct call:print_prefixed_text_name_value(layer_prefix, ssid_prefix + "Ssid") ?>>
        </td>
    </tr>
<?ct /def ?>

<?ct def:print_radio_ssid(layer_prefix, radio, bss, ssid) ?>
    <!-- ssid for <?ct var:layer_prefix ?> radio <?ct var:radio ?> bss <?ct var:bss ?> ssid <?ct var:ssid ?> -->
    <?ct call:print_ssid(layer_prefix, "r" + radio + "b" + bss + "s" + ssid) ?>
<?ct /def ?>

<?ct def:print_channel(layer_prefix, radio) ?>
    <!-- channel for radio <?ct var:radio ?> -->
    <tr>
        <td class="namelevelone"> Channel
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <select name="<?ct var:layer_prefix + "r" + radio + "Channel"?>">
            </select>
        </td>
    </tr>
<?ct /def ?>

<?ct def:print_radio_mac(radio, bss) ?>
    <!-- mac address -->
    <tr>
        <td class="namelevelone">
            MAC Address
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <?i802 sub(r<?ct var:radio ?>b<?ct var:bss ?>MacAddress) ?>
        </td>
    </tr>
<?ct /def ?>

<?ct def:print_radio_macs(radio_a, bss_a, radio_b, bss_b) ?>
    <!-- mac address -->
    <tr>
        <td class="namelevelone">
            MAC Addresses
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <?i802 sub(r<?ct var:radio_a ?>b<?ct var:bss_a ?>MacAddress) ?> /
            <?i802 sub(r<?ct var:radio_b ?>b<?ct var:bss_b ?>MacAddress) ?>
        </td>
    </tr>
<?ct /def ?>

<?ct def:print_simple_radio_config(radio) ?>
    <?ct set:select_name = "r" + radio + "Mode" ?>
    <?ct if: ! CONFIG_OAP_GUEST ?>
	<?ct call:print_radio_mac(radio, 1) ?>
    <?ct elif:CONFIG_OAP_RADIOS_SAME_SSID ?>
	<?ct call:print_radio_macs(radio, 1, radio, 2) ?>
    <?ct /if ?>
    <tr>
	<td class="namelevelone">
	    Mode
	</td>
	<?ct call:print_vfiller() ?>
	<td class="value">
	    <select name="<?ct var:select_name ?>" onChange="updateChannelField('<?ct var:select_name ?>', document.forms[0].elements['r<?ct var:radio ?>Channel'], '<?i802 sub(r<?ct var:radio ?>Channel) ?>');">
		<?ct each:item = Driver ?>
		    <?ct lvar: "<" + "?ct if:" + "CONFIG_OAP_RADIO_" + radio + "_MODE_" + item.ConfigName + "?" + ">" + "<option value='" + item.FullName + "' <" + "?i802 selected(" + "r" + radio + "Mode" + ", " + item.FullName + ") ?" + ">>" + item.FullName + "</option><" + "?ct /if ?" + ">" ?>
		<?ct /each ?>
	    </select>
	</td>
    </tr>
    <?ct if: ! CONFIG_OAP_GUEST && ! CONFIG_OAP_RADIOS_SAME_SSID ?>
        <?ct call:print_radio_ssid("", radio, 1, 1) ?>
    <?ct /if ?>
    <?ct call:print_channel("", radio) ?>
    <?ct if:CONFIG_OAP_GUEST && ! CONFIG_OAP_RADIOS_SAME_SSID ?>
        <?ct call:print_vfiller() ?>
        <tr>
            <td class="namelevelone">
                <u>Internal Settings</u>
            </td>
        </tr>
        <?ct call:print_radio_mac(radio,1) ?>
        <?ct call:print_radio_ssid("", radio, 1, 1) ?>
        <?ct call:print_vfiller() ?>
        <tr>
            <td class="namelevelone">
                <u>Guest Settings</u>
            </td>
        </tr>
        <?ct call:print_radio_mac(radio,2) ?>
        <?ct call:print_radio_ssid("", radio, 2, 1) ?>
    <?ct /if ?>
<?ct /def ?>

<?ct def:print_radio_ssids_same() ?>
    <tr>
        <td class="namelevelone">
            <u>Internal Settings</u>
        </td>
    </tr>
    <?ct call:print_radio_macs(1,1,2,1) ?>
    <?ct call:print_radio_ssid("",1,1,1) ?>
    <?ct call:print_vfiller() ?>
    <tr>
        <td class="namelevelone">
            <u>Guest Settings</u>
        </td>
    </tr>
    <?ct call:print_radio_macs(1,2,2,2) ?>
    <?ct call:print_radio_ssid("",1,2,1) ?>
<?ct /def ?>

<?ct if:CONFIG_OAP_VLAN ?>
    <?ct def:print_vlan(prefix) ?>
        <tr>
            <td class=namelevelone>
                VLAN ID
            </td>
            <?ct call:print_vfiller() ?>
            <td class=value>
                <input class=value type=text size=4 maxlength=4
                <?ct call:print_text_name_value(prefix+"VlanId") ?>>
            </td>
        </tr>
    <?ct /def ?>
<?ct /if ?>

<?ct def:print_errors() ?>
<?ct /def ?>

<?ct def:print_debug() ?>
<!-- debug ... -->
<?cs if:i802.debug ?>
	<table><tr><td style="color: #000099; font-size: -2; border: 1px solid #000000; padding: 4px;"><b>Debug Info...</b><br>
	<pre><?cs var:html_escape( i802.debug ) ?></pre>
	<?cs each:debug = i802.debug ?><pre><?cs var:html_escape( debug ) ?></pre><?cs /each ?>
	</td></tr></table>
<?cs /if ?>
<!-- ... debug  -->
<?ct /def ?>
<?ct def:print_cluster_status_table() ?>
<!-- cluster status table ... -->
<table class="status-region" cellspacing="0" cellpadding="0">
	<tr>
  	<td>
	    <?cs set:num_members = #activator.NodeStatusMonitor.getStatus.NodeStatusRecord.member_count ?>
    	<table class="status-block" border="0" cellpadding="0">
			  <tr>
				  <td class="tinycontent" width="50">
						<?cs if:num_members > #0 ?>
							Clustered
						<?cs else ?>
							Not clustered
						<?cs /if ?>
				 	</td>
			        <td width="56" align="center">
					  <?cs if:num_members > #0 ?>
						<img src="wireless.gif">
					  <?cs else ?>
					    <img src="no-wireless.gif">
					  <?cs /if ?>
				 	</td>
				</tr>
      </table>
    </td>
  </tr>
	<tr>
    <td>
			<table class="status-block" border="0" cellpadding="5">
				<tr>
				  <td class="tinycontent" width="50">
				  <?cs var:num_members ?> Access Point<?cs if:num_members != #1 ?>s<?cs /if ?></td>
			        <td width="56" align="center">
					  <?cs if:num_members > #0 ?>
					     <img src="cluster.gif">
					  <?cs else ?>
					     <img src="no-cluster.gif">
					  <?cs /if ?>
				  </td>
			  </tr>
      </table>
    </td>
  </tr>
  <tr>
	  <td>
			<table class="status-block" border="0" cellpadding="5">
				<tr>
				  <?cs set:num_users = len(apconfig.radius_user_s) ?>
				  <td class="tinycontent" width="50">
	    		      <?cs var:num_users ?> User Account<?cs if:num_users != #1 ?>s<?cs /if ?>
				  </td>
		          <td width="56" align="center">
					  <?cs if:num_users > #0 ?>
					     <img src="users.gif">
					  <?cs else ?>
					     <img src="no-users.gif">
					  <?cs /if ?>
						
				  </td>
				</tr>
			</table>
    </td>
  </tr>
</table>
<!-- ... cluster status table -->
<?ct /def ?>
<?ct def:print_status_table() ?>
<!-- status table ... -->
<table class="status-region" cellspacing="0" cellpadding="0">
	<tr>
  	<td>
    	<table class="status-block" border="0" cellpadding="0">
			  <tr>
				  <td class="tinycontent" width="50">
						<?cs if:cluster.started > #0 ?>
							Clustered
						<?cs else ?>
							Not clustered
						<?cs /if ?>
				 	</td>
          <td width="56" align="center">
					  <?cs if:cluster.started > #0 ?>
					    <img src="wireless.gif">
						<?cs else ?>
					    <img src="no-wireless.gif">
						<?cs /if ?>
				 	</td>
				</tr>
      </table>
    </td>
  </tr>
	<tr>
    <td>
			<table class="status-block" border="0" cellpadding="5">
				<tr>
				  <td class="tinycontent" width="50"><?cs var:aps.count ?> Access Point<?cs if:aps.count != #1 ?>s<?cs /if ?></td>
          <td width="56" align="center">
					  <?cs if:cluster.started > #0 ?>
					     <img src="cluster.gif">
					  <?cs else ?>
					     <img src="no-cluster.gif">
						<?cs /if ?>
				  </td>
			  </tr>
      </table>
    </td>
  </tr>
  <tr>
	  <td>
			<table class="status-block" border="0" cellpadding="5">
				<tr>
				  <td class="tinycontent" width="50">
	          <?cs var:users.count ?> User Account<?cs if:users.count != #1 ?>s<?cs /if ?></td>
          <td width="56" align="center">
					  <?cs if:cluster.hasusers == #1 ?>
					     <img src="users.gif">
					  <?cs else ?>
					     <img src="no-users.gif">
						<?cs /if ?>
				  </td>
				</tr>
			</table>
    </td>
  </tr>
</table>
<!-- ... status table -->
<?ct /def ?>

<?ct if:CONFIG_OAP_ORCHESTRATOR ?>
    <?ct def:print_page_progress() ?>
    <!-- update progress ... -->
	    <?cs if:locally_modified == 1 ?>
		    <div id="progressDiv">Synchronizing.  This may take a few minutes...&nbsp;<br>
			    <script language="javascript" type="text/javascript">
				      // Create progress bar
				      bar = new QProgress(null, "bar", SEGS);
				      bar.setBounds(0, 100);
    
			      // "Please wait until synchronization is complete"
			      var messageWindow;
			      initSyncingWin();				  
			      messageWindow.focus();
    
			      function initSyncingWin() {
				    var winX = window.left + ((window.width - 250) / 2);//(screen.width - 250) / 2;
				    var winY = window.top + 50;//(screen.height - 150) / 2;
				    var features = 	"dependent=yes,resizable=no,toolbar=no,status=no,menubar=no,height=150,width=250,scrollbars=no,resizable=no" + ",left=" + winX + ",top=" + winY; 	
				    messageWindow = window.open("templ/syncing_message.html", "syncingwin", features, true);
			      }
			      
			      var count = 0; // timeout counter
			      window.setTimeout('_incrementProgress()', 0);
			      startPolling( 5000 , 'locally_modified' ); // poll every five seconds
			  
			      function _incrementProgress() {
					    if(messageWindow.closed) {
					      initSyncingWin();
					    }
					    //messageWindow.focus();
					    if(count >= 120) { // timeout after two minutes.
						    _handleSyncComplete("Synchronization timed out.");
						    return;
					    }
					    if(document.locally_modified && document.locally_modified == "0") {
						    _handleSyncComplete("Synchronization completed.");
						    return;
					    }
					    if(bar.value >= 100) {
					      bar.set(0);
					    }
					    else {
					      bar.set(bar.value + 10);
					    }
					    count++;
					    window.setTimeout('_incrementProgress()', 1000);
			      }
			      
			      function _handleSyncComplete(message) {
				    document.getElementById("progressDiv").style.display = "none";
				    stopPolling();
				    messageWindow.close();
				    alert(message);
				    // reenable the UI
				    //reenableMouseClickEvents();
			      }
			    </script>
		    </div>
	    <?cs /if ?>
    <!-- ... update progress -->
    <?ct /def ?>

    <?ct def:print_page_progress2() ?>
    <!-- update progress ... -->
	    <!-- Synchronizing: (<?cs var:synchronizing ?>) -->
	    <?cs if:synchronizing == #1 ?>
		    <div id="progressDiv">Synchronizing.  This may take a few seconds...&nbsp;<br>
			    <script language="javascript" type="text/javascript">
			      // Create progress bar
			      bar = new QProgress(null, "bar", SEGS);
			      bar.setBounds(0, 100);
    

			      // "Please wait until synchronization is complete"
			      var messageWindow;
			      initSyncingWin();				  
			      messageWindow.focus();

			      function initSyncingWin() {
				    var winX = window.left + ((window.width - 250) / 2);//(screen.width - 250) / 2;
				    var winY = window.top + 50;//(screen.height - 150) / 2;
				    var features = 	"dependent=yes,resizable=no,toolbar=no,status=no,menubar=no,height=150,width=250,scrollbars=no,resizable=no" + ",left=" + winX + ",top=" + winY; 	
				    messageWindow = window.open("templ/syncing_message.html", "syncingwin", features, true);
			      }
			  
			      var count = 0; // timeout counter
			      window.setTimeout('_incrementProgress()', 0);
			      startPolling( 5000, 'locally_modified'  ); // poll every five seconds
			  
			      function _incrementProgress() {
					    if(messageWindow.closed) {
					      initSyncingWin();
					    }
					    //messageWindow.focus();
					    if(count >= 120) { // timeout after two minutes.
						    _handleSyncComplete("Synchronization timed out.");
						    return;
					    }
					    if(document.locally_modified && document.locally_modified == "0") {
						    _handleSyncComplete("Synchronization completed.");
						    return;
					    }
					    if(bar.value >= 100) {
					      bar.set(0);
					    }
					    else {
					      bar.set(bar.value + 10);
					    }
					    count++;
					    window.setTimeout('_incrementProgress()', 1000);
			      }
			  
			      function _handleSyncComplete(message) {
				    document.getElementById("progressDiv").style.display = "none";
				    stopPolling();
				    messageWindow.close();
				    //alert(message);
			    	
				    getMainForm().submit();
			      }
			    </script>
		    </div>
	    <?cs /if ?>
    <!-- ... update progress -->
<?ct /def ?>
<?ct /if ?>
<?ct def:print_tooltip_css() ?>
<style type="text/css">
    a.info {
        position: relative;
        z-index:24;
        text-decoration:none
    }
    a.info:hover {
        z-index:25;
        background-color: #ff0
    }
    a.info span {
        display: none
    }
    a.info:hover span {
        display:block;
        position:absolute;
        top:2em;
        left:2em;
        width:20em;
        border:1px solid #0cf;
        background-color:#cff;
        color:#000;
        text-align: center;
        white-space: normal
    }
</style>
<?ct /def ?>

<?ct def:print_tooltip(text, tip) ?>
    <a class="info" href="#"><?ct var:text ?><span><?ct var:tip ?></span></a>
<?ct /def ?>

<?ct include:"product.cs" ?>
