/*
 * Created on Oct 5, 2003
 * written by robin
 * (C) 2003 Instant802 Networks Inc
 */
package com.instant802.cldc.clustermembership;

import java.util.Vector;

import com.instant802.cldc.deviceconfiguration.ClusteredAP;
import com.instant802.cldc.orchestrator.OrchestratorNode;

/**
 * @author robin
 */
public class StoredClusterMember extends ClusterMember {

	private ClusteredAP ap;

	StoredClusterMember( ClusteredAP ap ) {
		this.ap = ap;
	}

	public String ipAddress() {
		return ap.ipAddress();
	}

	public boolean isNode(OrchestratorNode node) {
		return node.getNodeId().equals( ap.id() );
	}

	public String id() {
		return ap.id();
	}
	
	public String location() {
		return ap.location();
	}
	
	public String radioMacs() {
		return ap.radioMacs();
	}

}
