//
// de.gyronet.kangaroo.io.ISO8859_1_Reader.java
// kangaroo
//
// Created by Volker Gies on Thu Jul 18 2002.
// Copyright (c) 2002 GYRO net GmbH. All rights reserved.
//

package de.gyronet.kangaroo.io;

import java.io.IOException;

/**
 * @version $Id: ISO8859_1_Reader.java,v 1.1.1.1 2003/10/31 00:47:08 carter Exp $
 * @author Volker Gies
 *
 */
public class ISO8859_1_Reader extends StreamReader {

    synchronized public int read() throws IOException {
        return in.read();
    }

    synchronized public int read(char cbuf[], int off, int len) throws IOException {
        int count = 0;
        while(count < len) {
            int ch = read();
            if(ch == -1) {
                return (count == 0) ? -1 : count;
            }
            cbuf[off++] = (char)ch;
            count++;
        }
        return len;
    }

    public int sizeOf(byte[] array, int offset, int length) {
        return length;
    }
}
