
package de.gyronet.kangaroo.io;

import java.io.IOException;
import javax.microedition.io.StreamConnection;
import javax.microedition.io.StreamConnectionNotifier;

/**
 * Provides a TCP/IP-Serversocket.
 */
public class ServerSocketConnection extends FileDescriptor implements StreamConnectionNotifier{
	/**
	 * Allocates an new instance and binds it to port <code>port</code>.
	 */
	public ServerSocketConnection(int port) throws IOException {
		fd = open_n(port);
	}
	
	public StreamConnection acceptAndOpen() throws IOException {
		int erg;
		
		do {
			if(fd < 0) throw new IOException("socket not opened");
			try {Thread.sleep(200);} catch (Exception e) {}
			if(fd < 0) throw new IOException("socket not opened");
		} while ((erg=accept_n(fd)) == 0);
		return(new ServerSocketConnection(erg));
	}
	
	private static native int open_n(int port) throws IOException;
	// nicht blockierend: liefert 0 zur?ck, wenn keine Verbindung angenommen wurde.
	private static native int accept_n(int fd) throws IOException;
}
