//
// de.gyronet.kangaroo.io.StreamWriter.java
// kangaroo
//
// Created by Volker Gies on Thu Jul 18 2002.
// Copyright (c) 2002 GYRO net GmbH. All rights reserved.
//

package de.gyronet.kangaroo.io;

import java.io.Writer;
import java.io.OutputStream;
import java.io.IOException;

/**
 * @version $Id: StreamWriter.java,v 1.1.1.1 2003/10/31 00:47:08 carter Exp $
 * @author Volker Gies
 *
 */
public abstract class StreamWriter extends Writer {
    public OutputStream out;

    public Writer open(OutputStream out) {
        this.out = out;
        return this;
    }

    public void flush() throws IOException {
        out.flush();   
    }

    public void close() throws IOException {
        out.close();      
    }

    public abstract int sizeOf(char[] array, int offset, int length);
}
