#ifndef _AGENT_UTILS_H
#define _AGENT_UTILS_H

#include <unistd.h>
#include <stdlib.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>
#include <stdarg.h>
#include <ctype.h>


int GetIpAddrLen(char *, int);
int ParseNumber(char *, int);
long PowerOf(int , int);
long AlphabeticToNumeric(char *);
unsigned int ConvertToUnsignedInteger(unsigned char *, int);
void StringReverse(char *, int);
int ConvertToOidOrIpFromString(unsigned char **, char *, int);
char *ConvertToStringFromUnsignedInteger(unsigned int *, int *);
char *ConvertHexaToBinary( char * );
void ConvertToHexValue(unsigned char *mask, int maskLen);
unsigned char GetHexValue(unsigned char ch);
void StringUpper ( char *);
void SkipDelimiterInString(char *src, int del, char *ret);
void ConvertToStringFromHex(unsigned char *dest, unsigned char *src, int len);
void ConvertToMacAddrFromString(char *str, int len);
#endif                          /* _AGENT_UTILS_H */

