<!-- Copyright 2004 Instant802 Networks, Inc. All Rights Reserved. -->

<?ct def:print_wds_wep_enabled(name) ?>
    <tr>
        <td class=namelevelone>
            WEP
        </td>
        <?ct call:print_vfiller() ?>
        <td class=value>
            <input class=value type=radio value="on"
                   onClick="toggle<?ct var:name ?>WepEnabled(true)"
                   <?ct call:print_box_name_checked(name + "WepEnabled", "on") ?>> Enabled
            <input class=value type=radio value="off"
                   onClick="toggle<?ct var:name ?>WepEnabled(false)"
                   <?ct call:print_box_name_checked(name + "WepEnabled", "off") ?>> Disabled
        </td>
    </tr>
<?ct /def ?>

<?ct def:print_wds_interface(name) ?>
    <?ct set:prefix = "wds" + name ?>
    <?ct if:CONFIG_OAP_RADIOS_2 ?>
    <tr>
        <td class=namelevelone>
            Radio
        </td>
        <?ct call:print_vfiller() ?>
        <td class=value>
            <select name="<?ct var:prefix ?>Radio" onChange="on<?ct var:prefix ?>RadioChange(this)">
                <option value="1" <?ct call:print_option_value_selecteded(prefix + "Radio", "1") ?>> One
                <option value="2" <?ct call:print_option_value_selecteded(prefix + "Radio", "2") ?>> Two
            </select>
        </td>
    </tr>
    <tr>
        <td class=namelevelone>
            Local Address
        </td>
        <?ct call:print_vfiller() ?>
        <td class=value>
            <input class=value type=text readonly="true" size=17 maxlength=17
                   name="<?ct var:prefix ?>LocalAddress">
        </td>
    </tr>
    <?ct /if ?>
    <tr>
        <td class=namelevelone>
            Remote Address
        </td>
        <?ct call:print_vfiller() ?>
        <td class=value>
            <input class=value type=text size=17 maxlength=17
                <?ct call:print_prefixed_text_name_and_value(prefix, "RemoteAddress") ?>>
        </td>
    </tr>
    <tr>
	<td class=namelevelone>
	    Bridge with
	</td>
	<?ct call:print_vfiller() ?>
	<td class=value>
	    <select name="<?ct var:prefix ?>Bridge">
		<option <?ct call:print_option_value_selecteded(prefix+"Bridge", "Internal") ?>>Internal Network
		<option <?ct call:print_option_value_selecteded(prefix+"Bridge", "Guest") ?>>Guest Network
	    </select>
	</td>
    </tr>
    <?ct call:print_wds_wep_enabled(prefix) ?>
    <?ct call:print_wep_key_length(prefix, prefix) ?>
    <?ct call:print_wep_key_type(prefix, prefix) ?>
    <?ct call:print_wep_characters_required(prefix) ?>
    <?ct call:print_wep_key(prefix, prefix, "WEP Key", "", "wepKey") ?>
<?ct /def ?>

<?ct def:print_wds_radio_change(name) ?>
    <?ct set:prefix = "wds" + name ?>
    function on<?ct var:prefix ?>RadioChange(radio)
    {
        var localAddress = new Array();
        localAddress[1] = '<?i802 sub(r1wdsLocalAddress) ?>'
        localAddress[2] = '<?i802 sub(r2wdsLocalAddress) ?>'

        document.forms[0].elements['<?ct var:prefix ?>LocalAddress'].value = localAddress[radio.value];
    }
<?ct /def ?>

<?ct def:print_wds_validate_interface(name) ?>
    <?ct set:prefix = "wds" + name ?>
    function validate<?ct var:prefix ?>()
    {
        var msg = "";

        var mac = document.forms[0].elements['<?ct var:prefix ?>RemoteAddress'].value;
        if (mac.length != 0 && ! isMacValid(mac)) {
            msg = msg 
                + " The Remote Address is invalid: "
                + getInvalidMacReason(mac);
        }

        var enabled = document.forms[0].elements['<?ct var:prefix ?>WepEnabled'][0].checked;
        var key = document.forms[0].elements['<?ct var:prefix ?>wepKey'].value;
        var bytes = document.forms[0].elements['<?ct var:prefix ?>wepKeyLength'][0].checked ? 5 : 13;
        var ascii = document.forms[0].elements['<?ct var:prefix ?>useAsciiWepKeys'][0].checked;

        if (enabled && ! isValidWepKey(key, bytes, ascii)) {
            msg = msg 
                + "  The Wep Key is invalid: " 
                + getInvalidWepKeyReason(key, bytes, ascii);
        }

        if (msg.length > 0) {
            return "- Interface <?ct var:name ?> is invalid:" + msg + "\n";
        } else {
            return "";
        }
    }
<?ct /def ?>

<?ct def:print_wds_init_interface(name) ?>
    <?ct set:prefix = "wds" + name ?>
    <?ct if:CONFIG_OAP_RADIOS_2 ?>
    on<?ct var:prefix ?>RadioChange(document.forms[0].elements['<?ct var:prefix ?>Radio']);
    <?ct /if ?>
    if (document.forms[0].elements['<?ct var:prefix ?>WepEnabled'][0].value == "on") {
        toggle<?ct var:prefix ?>WepEnabled(document.forms[0].elements['<?ct var:prefix ?>WepEnabled'][0].checked);
    } else {
        toggle<?ct var:prefix ?>WepEnabled(! document.forms[0].elements['<?ct var:prefix ?>WepEnabled'][0].checked);
    }
<?ct /def ?>

<?ct def:print_wds_toggle_interface(name) ?>
    <?ct set:prefix = "wds" + name ?>
    function toggle<?ct var:prefix ?>WepEnabled(enabled) {
        document.forms[0].elements['<?ct var:prefix ?>wepKeyLength'][0].disabled = ! enabled;
        document.forms[0].elements['<?ct var:prefix ?>wepKeyLength'][1].disabled = ! enabled;
        document.forms[0].elements['<?ct var:prefix ?>useAsciiWepKeys'][0].disabled = ! enabled;
        document.forms[0].elements['<?ct var:prefix ?>useAsciiWepKeys'][1].disabled = ! enabled;
        document.forms[0].elements['<?ct var:prefix ?>wepKeyChars'].disabled = ! enabled;
        document.forms[0].elements['<?ct var:prefix ?>wepKey'].disabled = ! enabled;
    }
<?ct /def ?>
