/*
 * Created on Nov 6, 2003
 * author: Robin Barooah
 * (C) 2003 Instant802 Networks Inc
 */
package com.instant802.cldc.deviceconfiguration;

/**
 * @author robin
 */
public class DebugConfig extends ConfigObjectAdapter {

	public static final String TYPE = "debug";
	public static final PKSingleton PK = new PKSingleton( TYPE );
	public static final String LEVEL = "olevel";
	public static final String LOG_HOST = "ologhost";
	

	DebugConfig(ConfigObject object) {
		super( object );
	}

	public String lostHost() {
		return field( LOG_HOST );
	}

	public int level() {
		return intField( LEVEL );
	}

}
