package com.instant802.cldc.radius;

import com.instant802.cldc.net.Datagram;
/**
 * @author alanl, robin
 * 
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates. To enable and disable the creation of
 * type comments go to Window>Preferences>Java>Code Generation.
 */
public class RadiusTransactionState 
{
	RadiusPacket rp;
	long time;

	public RadiusTransactionState(RadiusPacket rp)
	{
		this.time = System.currentTimeMillis();
		this.rp = rp;
	}

	/**
	 * Method updatePacket.
	 * 
	 * @param p
	 */
	public void updatePacketAddress(Datagram p)
	{
		p.setAddress(rp.getDatagram());
		p.setPort(rp.getDatagram());
	}

	/**
	 * Returns the time.
	 * 
	 * @return long
	 */
	public long getTime()
	{
		return time;
	}

	/**
	 * Returns the Packet
	 * 
	 * @return RadiusPacket
	 */
	public RadiusPacket getPacket()
	{
		return rp;
	}
}
